%define ocamlname lwt_ppx

Name:           ocaml-%{ocamlname}
Version:        1.1.0
Release:        1%{?dist}.emp1
Summary:        PPX syntax for LWT
License:        LGPL with OpenSSL linking exception
URL:            http://ocsigen.org/lwt
Source0:        lwt-3.3.0.tar.gz

Requires:	ocaml >= 4.02.0
Requires:       ocaml-lwt
Requires:	ocaml-ocaml-migrate-parsetree
Requires:	ocaml-ppx_tools_versioned >= 5.0.1

BuildRequires:  ocaml >= 4.02.0
BuildRequires:  opam-installer >= 2.0
BuildRequires:  jbuilder >= 1.0
BuildRequires:  ocaml-lwt-devel
BuildRequires:  glib2-devel
BuildRequires:  pkgconfig
BuildRequires:	ocaml-ocaml-migrate-parsetree-devel
BuildRequires:	ocaml-ppx_tools_versioned-devel >= 5.0.1

%description
Lwt is a lightweight thread library for Objective Caml.  This library
is part of the Ocsigen project.  PPX syntax for Lwt, providing
something similar to async/await from JavaScript.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}
Requires:       ocaml-lwt-devel
Requires:       ocaml-ocaml-migrate-parsetree-devel
Requires:       ocaml-ppx_tools_versioned-devel >= 5.0.1

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q -n lwt-3.3.0

%build
jbuilder build -p %{ocamlname} %{?_smp_mflags}

%install
opam-installer \
	--prefix=%{buildroot}/%{_libdir}/ocaml \
	--libdir=%{buildroot}/%{_libdir}/ocaml \
	%{ocamlname}.install

%files
%doc doc/LICENSE doc/COPYING
%{_libdir}/ocaml/%{ocamlname}
%ifarch %{ocaml_native_compiler}
%exclude %{_libdir}/ocaml/%{ocamlname}/*.a
%exclude %{_libdir}/ocaml/%{ocamlname}/*.cmxa
%exclude %{_libdir}/ocaml/%{ocamlname}/*.cmx
%endif
%exclude %{_libdir}/ocaml/%{ocamlname}/*.mli

%files devel
%doc doc/apiref-intro doc/CONTRIBUTING.md doc/descr doc/Makefile doc/manual.wiki doc/menu.wiki
%doc %{_libdir}/ocaml/doc/%{ocamlname}/*
%ifarch %{ocaml_native_compiler}
%{_libdir}/ocaml/%{ocamlname}/*.a
%{_libdir}/ocaml/%{ocamlname}/*.cmxa
%{_libdir}/ocaml/%{ocamlname}/*.cmx
%endif
%{_libdir}/ocaml/%{ocamlname}/*.mli
